import javax.swing.*;
import javax.swing.tree.*;

public class ConsoleNode extends DefaultMutableTreeNode
{
	/**
	 * Indique si on est une feuille
	 */
	private boolean feuille;

	private String nodeName;

	/**
	 * Constructeur
	 */
	public ConsoleNode( String name, ConsoleNode father, boolean leaf )
	{
		nodeName = name;
		feuille = leaf;
	}

	/**
	 * Indique si on est une feuille
	 */
	public boolean isLeaf()
	{
		return feuille;
	}

	/**
	 * Retourne le nom du noeud
	 */
	public String toString()
	{
		return nodeName;
	}

	/**
	 * Ajoute un fils
	 */
	public void addChild( ConsoleNode node )
	{
		add( node );
	}

	/**
	 * Change le nom 
	 */
	public void changeName( String name )
	{
		nodeName = name;
	}
}