// ---------------------------------------------------------------------
// JavaORB 2.0
//
//                        Object by value Tutorial
//
// Step 3 / Using inherited value type
// ---------------------------------------------------------------------

/**
 * This class is the implementation of a Value Factory interface. It 
 * provides the read operation necessary to unmarshal a value type.
 * 
 * @author	Jerome DANIEL
 * @version	1.0
 */
public class subValueFactory implements org.omg.CORBA.portable.ValueFactory
{
	/**
	 * This function is used by the ORB to unmarshal a value type.
	 * 
	 * We need to create a new value type and call the _read value of 
	 * this value type to unmarshal it.
	 */
	public java.io.Serializable read_value( org.omg.CORBA.portable.InputStream is )
	{
		// 1. We create a new value type
		aSubValueImpl value = new aSubValueImpl();
		
		// 2. Now, we unmarshal this value 
		((org.omg.CORBA_2_3.portable.InputStream)is).read_value( ( java.io.Serializable ) value );
		
		// 3. Then, we return the unmarshalled value
		return value;
	}
}