// ---------------------------------------------------------------------
// JavaORB 2.0
//
//                        Object by value Tutorial
//
// Step 5 / Using custom marshalling
// ---------------------------------------------------------------------

public class Client
{

	public static void main( String [] args )
	{
		// 1.
		// Initialize the ORB
		org.omg.CORBA.ORB orb =	org.omg.CORBA.ORB.init(args,null);

		// 2.
		// Get the ValueExchange reference from	a file
		ValueExchange value	= null;
		org.omg.CORBA.Object obj = null;
		
		try
		{
			java.io.FileInputStream	file = new java.io.FileInputStream("ObjectId");
			java.io.DataInputStream	myInput	= new java.io.DataInputStream(file);
			String stringTarget	= myInput.readLine();
			
			obj	= orb.string_to_object(stringTarget);

		}
		catch (	java.io.IOException	ex )
		{
			System.out.println("File error");
			System.exit(0);
		}

		// 3.
		// Narrow the object reference
		value =	ValueExchangeHelper.narrow(obj);		

		// 4.
		// Use the ValueExchange object
		try
		{
			// Create a value type
			valueExampleImpl valueType = new valueExampleImpl();
			
			valueType.name_state = "Example : It's my name";
			
			valueType.number_state = 100;
			
			// Send the value
			value.sendValueExample( valueType );
			
		}
		catch (	org.omg.CORBA.SystemException ex )
		{
			System.out.println("A CORBA	System exception has been intercepted");
			System.out.println("");
			System.out.println(	ex.toString() );
		}
	}
}