//
// Helper class for : FileDescriptor
//
// @author JavaORB Compiler
//
public class FileDescriptorHelper
{
	//
	// Insert FileDescriptor into an any
	// param	a an any
	// param	t FileDescriptor value
	//
	public static void insert( org.omg.CORBA.Any a, FileDescriptor t )
	{
		a.type( type() );
		write(a.create_output_stream(),t);
	}

	//
	// Extract FileDescriptor from an any
	// @param	a an any
	// @return the extracted FileDescriptor value
	//
	public static FileDescriptor extract( org.omg.CORBA.Any a )
	{
		if ( !a.type().equal( type() ) )
			throw new org.omg.CORBA.MARSHAL();
		return read(a.create_input_stream());
	}

	//
	// Internal TypeCode value
	//
	private static org.omg.CORBA.TypeCode _tc = null;
	private static boolean _working = false;

	//
	// Return the FileDescriptor TypeCode
	// @return a TypeCode
	//
	public static org.omg.CORBA.TypeCode type()
	{
		if ( _tc != null )
			return _tc;
		else
		{
		  synchronized(org.omg.CORBA.TypeCode.class)
		  {
			if ( _working )
				return org.omg.CORBA.ORB.init().create_recursive_tc( id() );
			_working = true;
			org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
			_tc = orb.create_interface_tc(id(),"FileDescriptor");
			return _tc;
		  }
		}
	}

	//
	// Return the FileDescriptor IDL ID
	// @return an ID
	//
	public static String id()
	{
		return new String("IDL:FileDescriptor:1.0");
	}

	//
	// Read FileDescriptor from a marshalled stream
	// @param	istream the input stream
	// @return the readed FileDescriptor value
	//
	public static FileDescriptor read( org.omg.CORBA.portable.InputStream istream )
	{
		org.omg.CORBA.Object new_one = istream.read_Object();
		if ( new_one != null )
		{
			if ( ((org.omg.CORBA.portable.ObjectImpl)new_one)._is_local() )
				return FileDescriptorHelper.narrow(new_one);
			_FileDescriptorStub stub = new _FileDescriptorStub();
			stub._set_delegate( ((org.omg.CORBA.portable.ObjectImpl)new_one)._get_delegate() );
			return stub;
		}
		return null;
	}

	//
	// Write FileDescriptor into a marshalled stream
	// @param	ostream the output stream
	// @param	value FileDescriptor value
	//
	public static void write( org.omg.CORBA.portable.OutputStream ostream, FileDescriptor value )
	{
		ostream.write_Object((org.omg.CORBA.portable.ObjectImpl)value);
	}

	//
	// Narrow CORBA::Object to FileDescriptor
	// @param	obj the CORBA Object
	// @return FileDescriptor Object
	//
	public static FileDescriptor narrow( org.omg.CORBA.Object obj )
	{
		if ( obj == null )
		   return null;

		try
		{
			return ( FileDescriptor)obj;
		}
		catch ( ClassCastException ex )
		{
		}

		if ( obj._is_a( id() ) )
		{
			_FileDescriptorStub stub = new _FileDescriptorStub();
			stub._set_delegate( ((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate() );
			return stub;
		}

		throw new org.omg.CORBA.BAD_PARAM();
	}

}
