//
// Helper class for : FileSystem
//
// @author JavaORB Compiler
//
public class FileSystemHelper
{
	//
	// Insert FileSystem into an any
	// param	a an any
	// param	t FileSystem value
	//
	public static void insert( org.omg.CORBA.Any a, FileSystem t )
	{
		a.type( type() );
		write(a.create_output_stream(),t);
	}

	//
	// Extract FileSystem from an any
	// @param	a an any
	// @return the extracted FileSystem value
	//
	public static FileSystem extract( org.omg.CORBA.Any a )
	{
		if ( !a.type().equal( type() ) )
			throw new org.omg.CORBA.MARSHAL();
		return read(a.create_input_stream());
	}

	//
	// Internal TypeCode value
	//
	private static org.omg.CORBA.TypeCode _tc = null;
	private static boolean _working = false;

	//
	// Return the FileSystem TypeCode
	// @return a TypeCode
	//
	public static org.omg.CORBA.TypeCode type()
	{
		if ( _tc != null )
			return _tc;
		else
		{
		  synchronized(org.omg.CORBA.TypeCode.class)
		  {
			if ( _working )
				return org.omg.CORBA.ORB.init().create_recursive_tc( id() );
			_working = true;
			org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
			_tc = orb.create_interface_tc(id(),"FileSystem");
			return _tc;
		  }
		}
	}

	//
	// Return the FileSystem IDL ID
	// @return an ID
	//
	public static String id()
	{
		return new String("IDL:FileSystem:1.0");
	}

	//
	// Read FileSystem from a marshalled stream
	// @param	istream the input stream
	// @return the readed FileSystem value
	//
	public static FileSystem read( org.omg.CORBA.portable.InputStream istream )
	{
		org.omg.CORBA.Object new_one = istream.read_Object();
		if ( new_one != null )
		{
			if ( ((org.omg.CORBA.portable.ObjectImpl)new_one)._is_local() )
				return FileSystemHelper.narrow(new_one);
			_FileSystemStub stub = new _FileSystemStub();
			stub._set_delegate( ((org.omg.CORBA.portable.ObjectImpl)new_one)._get_delegate() );
			return stub;
		}
		return null;
	}

	//
	// Write FileSystem into a marshalled stream
	// @param	ostream the output stream
	// @param	value FileSystem value
	//
	public static void write( org.omg.CORBA.portable.OutputStream ostream, FileSystem value )
	{
		ostream.write_Object((org.omg.CORBA.portable.ObjectImpl)value);
	}

	//
	// Narrow CORBA::Object to FileSystem
	// @param	obj the CORBA Object
	// @return FileSystem Object
	//
	public static FileSystem narrow( org.omg.CORBA.Object obj )
	{
		if ( obj == null )
		   return null;

		try
		{
			return ( FileSystem)obj;
		}
		catch ( ClassCastException ex )
		{
		}

		if ( obj._is_a( id() ) )
		{
			_FileSystemStub stub = new _FileSystemStub();
			stub._set_delegate( ((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate() );
			return stub;
		}

		throw new org.omg.CORBA.BAD_PARAM();
	}

}
