//
// Holder class for : FileSystem
//
// @author JavaORB Compiler
//
public class FileSystemHolder implements org.omg.CORBA.portable.Streamable
{
	//
	// Internal FileSystem value
	//
	public FileSystem value;

	//
	// Default constructor
	//
	public FileSystemHolder()
	{ }

	//
	// Constructor with value initialisation
	// @param	initial	the initial value
	//
	public FileSystemHolder( FileSystem initial )
	{
		value = initial;
	}

	//
	// Read FileSystem from a marshalled stream
	// @param	istream the input stream
	//
	public void _read( org.omg.CORBA.portable.InputStream istream )
	{
		value = FileSystemHelper.read(istream);
	}

	//
	// Write FileSystem into a marshalled stream
	// @param	ostream the output stream
	//
	public void _write( org.omg.CORBA.portable.OutputStream ostream )
	{
		FileSystemHelper.write(ostream,value);
	}

	//
	// Return the FileSystem TypeCode
	// @return a TypeCode
	//
	public org.omg.CORBA.TypeCode _type()
	{
		return FileSystemHelper.type();
	}

}
