//
// Interface definition : Calculator
//
// @author JavaORB Compiler
//
public abstract class CalculatorPOA extends org.omg.PortableServer.Servant
		implements CalculatorOperations, org.omg.CORBA.portable.InvokeHandler
{
	public Calculator _this()
	{
		return CalculatorHelper.narrow(_this_object());
	}

	public Calculator _this( org.omg.CORBA.ORB orb )
	{
		return CalculatorHelper.narrow(_this_object(orb));
	}

	private static String [] _ids_list =
	{
		"IDL:Calculator:1.0"
	};

	public String[] _all_interfaces( org.omg.PortableServer.POA poa, byte [] objectId)
	{
		return _ids_list;
	}

	public org.omg.CORBA.portable.OutputStream _invoke ( String opName,
	                                                     org.omg.CORBA.portable.InputStream _is,
	                                                     org.omg.CORBA.portable.ResponseHandler handler)
	{
		org.omg.CORBA.portable.OutputStream _output = null;

		if ( opName.equals("add") )
		{
			float arg0_in = _is.read_float();
			float arg1_in = _is.read_float();

			float _arg_result = add(arg0_in, arg1_in);

			_output = handler.createReply();
			_output.write_float(_arg_result);

			return _output;
		}
		else
		if ( opName.equals("div") )
		{
			float arg0_in = _is.read_float();
			float arg1_in = _is.read_float();

			try
			{
				float _arg_result = div(arg0_in, arg1_in);

				_output = handler.createReply();
				_output.write_float(_arg_result);

			}
			catch ( DivisionByZero _exception )
			{
				_output = handler.createExceptionReply();
				DivisionByZeroHelper.write(_output,_exception);
			}
			return _output;
		}
		else
			throw new org.omg.CORBA.BAD_OPERATION();
	}
}
