// ---------------------------------------------------------------------
// JavaORB 2.0
//
//                        Object by value Tutorial
//
// Step 1 / Using simple value type
// ---------------------------------------------------------------------

/**
 * This class is the implementation of ValueExchange interface. pe.
 * 
 * @author	Jerome DANIEL
 * @version	1.0
 */
public class ValueExchangeImpl extends _ValueExchangeImplBase
{
	/**
	 * Reference to the value type
	 */
	private valueExample value;
	
	/**
	 * Reference to the TIE object
	 */
	private MessageTie _tie;
	
	/**
	 * Constructor
	 */
	public ValueExchangeImpl( org.omg.CORBA.BOA boa )
	{
		// Create value type
		value = new valueExampleImpl();
		value.name_state = "My is is value";
		
		// Create the TIE object
		_tie = new MessageTie( value );
		
		// Connect and activate this object
		boa.connect( _tie );
		boa.obj_is_ready( _tie );		
	}
	
	/**
	 * Operation getValueSupportedInterface
	 */
	public Message getValueSupportedInterface()
	{
		System.out.println(". ");
		System.out.println(". Ask for a remote access");
		System.out.println(". ");
		
		return _tie;
	}

	/**
	 * Operation getValueExample
	 */
	public valueExample getValueExample()
	{
		System.out.println(". ");
		System.out.println(". Ask for a local access");
		System.out.println(". ");
		
		return value;
	}
}