package FileDescriptorPackage;

//
// Helper class for : DataBuffer
//
// @author JavaORB Compiler
//
public class DataBufferHelper
{
	//
	// Insert DataBuffer into an any
	// param	a an any
	// param	t DataBuffer value
	//
	public static void insert( org.omg.CORBA.Any a, byte[] t )
	{
		a.type( type() );
		write(a.create_output_stream(),t);
	}

	//
	// Extract DataBuffer from an any
	// @param	a an any
	// @return the extracted DataBuffer value
	//
	public static byte[] extract( org.omg.CORBA.Any a )
	{
		if ( !a.type().equal( type() ) )
			throw new org.omg.CORBA.MARSHAL();
		return read(a.create_input_stream());
	}

	//
	// Internal TypeCode value
	//
	private static org.omg.CORBA.TypeCode _tc = null;
	private static boolean _working = false;

	//
	// Return the DataBuffer TypeCode
	// @return a TypeCode
	//
	public static org.omg.CORBA.TypeCode type()
	{
		if ( _tc != null )
			return _tc;
		else
		{
		  synchronized(org.omg.CORBA.TypeCode.class)
		  {
			if ( _working )
				return org.omg.CORBA.ORB.init().create_recursive_tc( id() );
			_working = true;
			org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
			_tc = orb.create_alias_tc(id(),"DataBuffer",orb.create_sequence_tc(0,orb.get_primitive_tc(org.omg.CORBA.TCKind.tk_octet)));
			return _tc;
		  }
		}
	}

	//
	// Return the DataBuffer IDL ID
	// @return an ID
	//
	public static String id()
	{
		return new String("IDL:FileDescriptor/DataBuffer:1.0");
	}

	//
	// Read DataBuffer from a marshalled stream
	// @param	istream the input stream
	// @return the readed DataBuffer value
	//
	public static byte[] read( org.omg.CORBA.portable.InputStream istream )
	{
		byte[] new_one;
		{
		int size1 = istream.read_ulong();
		new_one = new byte[size1];
		istream.read_octet_array(new_one, 0, new_one.length);
		}

		return new_one;
	}

	//
	// Write DataBuffer into a marshalled stream
	// @param	ostream the output stream
	// @param	value DataBuffer value
	//
	public static void write( org.omg.CORBA.portable.OutputStream ostream, byte[] value )
	{
		ostream.write_ulong(value.length);
		ostream.write_octet_array(value, 0,value.length);
	}

}
