//
// Interface definition : FileSystem
//
// @author JavaORB Compiler
//
public abstract class FileSystemPOA extends org.omg.PortableServer.Servant
		implements FileSystemOperations, org.omg.CORBA.portable.InvokeHandler
{
	public FileSystem _this()
	{
		return FileSystemHelper.narrow(_this_object());
	}

	public FileSystem _this( org.omg.CORBA.ORB orb )
	{
		return FileSystemHelper.narrow(_this_object(orb));
	}

	private static String [] _ids_list =
	{
		"IDL:FileSystem:1.0"
	};

	public String[] _all_interfaces( org.omg.PortableServer.POA poa, byte [] objectId)
	{
		return _ids_list;
	}

	public org.omg.CORBA.portable.OutputStream _invoke ( String opName,
	                                                     org.omg.CORBA.portable.InputStream _is,
	                                                     org.omg.CORBA.portable.ResponseHandler handler)
	{
		org.omg.CORBA.portable.OutputStream _output = null;

		if ( opName.equals("open") )
		{
			java.lang.String arg0_in = _is.read_string();
			int arg1_in = _is.read_long();

			FileDescriptor _arg_result = open(arg0_in, arg1_in);

			_output = handler.createReply();
			FileDescriptorHelper.write(_output,_arg_result);

			return _output;
		}
		else
			throw new org.omg.CORBA.BAD_OPERATION();
	}
}
