//
// Interface definition : FileSystem
//
// @author JavaORB Compiler
//
public class _FileSystemStub extends org.omg.CORBA.portable.ObjectImpl
		implements FileSystem
{
	static final String[] _ids_list =
	{
		"IDL:FileSystem:1.0"
	};

	public String[] _ids()
	{
		return _ids_list;
	}

	final public static java.lang.Class _opsClass = FileSystemOperations.class;

	//
	// Operation open
	//
	public FileDescriptor open(java.lang.String file_name, int flags)
	{
		while( true )
		{
			if (!this._is_local() )
			{
				org.omg.CORBA.portable.InputStream _input = null;
				try
				{
					org.omg.CORBA.portable.OutputStream _output = this._request("open",true);
					_output.write_string(file_name);
					_output.write_long(flags);
					_input = this._invoke(_output);
					FileDescriptor _arg_ret = FileDescriptorHelper.read(_input);
					return _arg_ret;
				}
				catch( org.omg.CORBA.portable.RemarshalException _exception )
				{
					continue;
				}
				catch( org.omg.CORBA.portable.ApplicationException _exception )
				{
					java.lang.String _exception_id = _exception.getId();
					throw new org.omg.CORBA.UNKNOWN("Unexcepected User Exception: "+ _exception_id);
				}
				finally
				{
					this._releaseReply(_input);
				}
			}
			else
			{
				org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("open",_opsClass);
				if ( _so == null )
				   continue;
				FileSystemOperations _self = ( FileSystemOperations ) _so.servant;
				try
				{
					return _self.open( file_name,  flags);
				}
				finally
				{
					_servant_postinvoke(_so);
				}
			}
		}
	}

}
