//
// Interface definition : Calculatrice
//
// @author JavaORB Compiler
//
public abstract class CalculatricePOA extends org.omg.PortableServer.Servant
		implements CalculatriceOperations, org.omg.CORBA.portable.InvokeHandler
{
	public Calculatrice _this()
	{
		return CalculatriceHelper.narrow(_this_object());
	}

	public Calculatrice _this( org.omg.CORBA.ORB orb )
	{
		return CalculatriceHelper.narrow(_this_object(orb));
	}

	private static String [] _ids_list =
	{
		"IDL:Calculatrice:1.0"
	};

	public String[] _all_interfaces( org.omg.PortableServer.POA poa, byte [] objectId)
	{
		return _ids_list;
	}

	public org.omg.CORBA.portable.OutputStream _invoke ( String opName,
	                                                     org.omg.CORBA.portable.InputStream _is,
	                                                     org.omg.CORBA.portable.ResponseHandler handler)
	{
		org.omg.CORBA.portable.OutputStream _output = null;

		if ( opName.equals("addition") )
		{
			float arg0_in = _is.read_float();
			float arg1_in = _is.read_float();

			float _arg_result = addition(arg0_in, arg1_in);

			_output = handler.createReply();
			_output.write_float(_arg_result);

			return _output;
		}
		else
		if ( opName.equals("division") )
		{
			float arg0_in = _is.read_float();
			float arg1_in = _is.read_float();

			try
			{
				float _arg_result = division(arg0_in, arg1_in);

				_output = handler.createReply();
				_output.write_float(_arg_result);

			}
			catch ( DivisionParZero _exception )
			{
				_output = handler.createExceptionReply();
				DivisionParZeroHelper.write(_output,_exception);
			}
			return _output;
		}
		else
			throw new org.omg.CORBA.BAD_OPERATION();
	}
}
